gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.BindingArg

Contents

- Exported types
- Methods
- Properties
  - argType

Description

A `BindingArg` holds the data associated with an argument for a key binding signal emission as stored in `BindingSignal`.

Synopsis

- newtype BindingArg = BindingArg (ManagedPtr BindingArg)
- newZeroBindingArg :: MonadIO m => m BindingArg
- getBindingArgArgType :: MonadIO m => BindingArg -> m GType
- setBindingArgArgType :: MonadIO m => BindingArg -> GType -> m ()

# Exported types

newtype BindingArg Source #

Memory-managed wrapper type.

Constructors

BindingArg (ManagedPtr BindingArg) |

#### Instances

Instances details

Eq BindingArg Source # |
Instance details Defined in GI.Gtk.Structs.BindingArg Methods (==) :: BindingArg -> BindingArg -> Bool Source # (/=) :: BindingArg -> BindingArg -> Bool Source #
BoxedPtr BindingArg Source # |
Instance details Defined in GI.Gtk.Structs.BindingArg Methods boxedPtrCopy :: BindingArg -> IO BindingArg Source # boxedPtrFree :: BindingArg -> IO () Source #
CallocPtr BindingArg Source # |
Instance details Defined in GI.Gtk.Structs.BindingArg Methods boxedPtrCalloc :: IO (Ptr BindingArg) Source #
ManagedPtrNewtype BindingArg Source # |
Instance details Defined in GI.Gtk.Structs.BindingArg Methods toManagedPtr :: BindingArg -> ManagedPtr BindingArg Source #
tag ~ 'AttrSet => Constructible BindingArg tag Source # |
Instance details Defined in GI.Gtk.Structs.BindingArg Methods new :: MonadIO m => (ManagedPtr BindingArg -> BindingArg) -> [AttrOp BindingArg tag] -> m BindingArg Source #

newZeroBindingArg :: MonadIO m => m BindingArg Source #

Construct a `BindingArg` struct initialized to zero.

# Methods

# Properties

## argType

implementation detail

getBindingArgArgType :: MonadIO m => BindingArg -> m GType Source #

Get the value of the “`arg_type`” field. When overloading is enabled, this is equivalent to

    get bindingArg #argType

setBindingArgArgType :: MonadIO m => BindingArg -> GType -> m () Source #

Set the value of the “`arg_type`” field. When overloading is enabled, this is equivalent to

    set bindingArg [ #argType := value ]